Method: projects.locations.trial.end

Ends the trial for a project

HTTP request


POST https://backupdr.googleapis.com/v1/{parent=projects/*/locations/*}/trial:end

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where the trial has been created. Format: projects/{project}/locations/{location}

Request body

The request body contains data with the following structure:

JSON representation
{
  "endReason": enum (EndReason)
}
Fields
endReason

enum (EndReason)

Required. The reason for ending the trial.

Response body

If successful, the response body contains an instance of Trial.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

EndReason

End reason enum.

Enums
END_REASON_UNSPECIFIED End reason not set.
MOVE_TO_PAID Trial is deliberately ended by the user to transition to paid usage.
DISCONTINUED Trial is discontinued before expiration.